Skip to content

Tenant favicon.

GET
/api/web/static/namespaces/system/tenant/settings/tenant/favicon
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/static/namespaces/system/tenant/settings/tenant/favicon \
--header 'Authorization: <Authorization>'

Receive current tenant favicon.

Examples of this operation.

A successful response.

Media typeapplication/json

Message that represents an arbitrary HTTP body. It should only be used for payload formats that can’t be represented as JSON, such as raw binary or an HTML page.

This message can be used both in streaming and non-streaming API methods in the request as well as the response.

It can be used as a top-level request field, which is convenient if one wants to extract parameters from either the URL or HTTP template into the request fields and also want access to the raw HTTP body.

Example:

message GetResourceRequest { // A unique request ID. String request_id = 1;

// The raw HTTP body is bound to this field. google.api.httpbody http_body = 2; }

service ResourceService { rpc GetResource(GetResourceRequest) returns (google.api.httpbody); rpc UpdateResource(google.api.httpbody) returns (google.protobuf.empty); }

Example with streaming methods:

service CaldavService { rpc GetCalendar(stream google.api.httpbody) returns (stream google.api.httpbody); rpc UpdateCalendar(stream google.api.httpbody) returns (stream google.api.httpbody); }

Use of this type only changes how the request and response bodies are handled, all other features will continue to work unchanged.

object
content_type

The HTTP Content-Type header value specifying the content type of the body.

string
<= 1024 characters
data

The HTTP request/response body as raw binary.

string format: byte
<= 1024 characters
extensions

Application specific response metadata. Must be set in the first response for streaming APIs.

Array<object>

Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.

Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.

Example 1: Pack and unpack a message in C++.

Foo foo = …; Any any; any.packfrom(foo); … If (any.unpackto(&foo)) { … }

Example 2: Pack and unpack a message in Java.

Foo foo = …; Any any = any.pack(foo); … If (any.is(foo.class)) { foo = any.unpack(foo.class); }

Example 3: Pack and unpack a message in Python.

Foo = Foo(…) any = Any() any.pack(foo) … If any.is(foo.descriptor): any.unpack(foo) …

Example 4: Pack and unpack a message in Go

foo := &pb.foo{…} any, err := ptypes.marshalany(foo) … Foo := &pb.foo{} if err := ptypes.unmarshalany(any, foo); err != nil { … }

The pack methods provided by protobuf library will by default use ‘type.googleapis.com/full.type.name’ as the type URL and the unpack methods only use the fully qualified type name after the last ’/’ in the type URL, for example “foo.example.com/x/y.z” will yield type name “y.z”.

JSON

The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:

package google.profile; message Person { string first_name = 1; string last_name = 2; }

{ “@type”: “type.googleapis.com/google.profile.person”, “firstName”: , “lastName”: }

If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.duration][]):

{ “@type”: “type.googleapis.com/google.protobuf.duration”, “value”: “1.212s” }

object
type_url

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one ”/” character. The last segment of the URL’s path must represent the fully qualified name of the type (as in path/google.protobuf.duration). The name should be in a canonical form (e.g., leading ”.” is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme HTTP, HTTPS, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, HTTPS is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than HTTP, HTTPS (or the empty scheme) might be used with implementation specific semantics.

string
<= 1024 characters
value

Must be a valid serialized protocol buffer of the above specified type.

string format: byte
>= 3 characters <= 1024 characters
Examplegenerated
{
"content_type": "example",
"data": "example",
"extensions": [
{
"type_url": "example",
"value": "example"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example